<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.2/css/bulma.min.css">
    <title>⚡ ciscojmg</title>
</head>

<body>
    <div class="container">
        <nav class="navbar" role="navigation" aria-label="main navigation">
            <div class="navbar-brand">
                <a class="navbar-item" href="https://gitlab.com/ciscojmg">
                    ⚡ <strong>ciscojmg</strong>
                </a>
            </div>
        </nav>
        <div class="columns">
            <div class="column is-three-quarters">
                
                <div class="card">
                    <div class="card-content">
                        <div class="content">
                            <p class=""><strong>Arduino + Nodejs + SerialPort + Express + Socketio + Bulma</strong></p>
                            <div>
                                <canvas id="myChart"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
          </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.0.2/chart.min.js"></script>
    <script src="/socket.io/socket.io.js" charset="utf-8"></script>

    <script>
        const socket = io();
        var ctx = document.getElementById('myChart');
        var chart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: ['Temperatura'],
                datasets: [{
                    label: 'Label',
                    data: [],
                    backgroundColor: [
                        '#f39c12'
                    ],
                    borderColor: [
                        '#c0392b'
                    ],
                    borderWidth: 1,
                    borderDash: [5, 5]
                }]
            },
            options: {
                scales: {
                    y: {
                        min: 00,
                        max: 999,
                    }
                    // ,
                    // yAxes: [{
                    //     ticks: {
                    //         beginAtZero: true
                    //     }
                    // }]
                }
            }
        });

        let counter = 0;
        socket.on('arduino:data', function (dataSerial) {
            chart.data.labels.push(counter);
            chart.data.datasets.forEach(dataset => {
                dataset.data.push(dataSerial.value);
            });
            counter++;
            chart.update();
        });
    </script>
</body>

</html>